# IRremoteESP8266: src/ir_Carrier.cpp File Reference

ir_Carrier.cpp File Reference

Carrier protocols. More...

## Variables

const uint16_t | kCarrierAcHdrMark = 8532
const uint16_t | kCarrierAcHdrSpace = 4228
const uint16_t | kCarrierAcBitMark = 628
const uint16_t | kCarrierAcOneSpace = 1320
const uint16_t | kCarrierAcZeroSpace = 532
const uint16_t | kCarrierAcGap = 20000
const uint16_t | kCarrierAcFreq = 38
const uint16_t | kCarrierAc40HdrMark = 8402
const uint16_t | kCarrierAc40HdrSpace = 4166
const uint16_t | kCarrierAc40BitMark = 547
const uint16_t | kCarrierAc40OneSpace = 1540
const uint16_t | kCarrierAc40ZeroSpace = 497
const uint32_t | kCarrierAc40Gap = 150000
const uint16_t | kCarrierAc64HdrMark = 8940
const uint16_t | kCarrierAc64HdrSpace = 4556
const uint16_t | kCarrierAc64BitMark = 503
const uint16_t | kCarrierAc64OneSpace = 1736
const uint16_t | kCarrierAc64ZeroSpace = 615
const uint32_t | kCarrierAc64Gap = kDefaultMessageGap

## Detailed Description

Carrier protocols.

See also
  CarrierAc https://github.com/crankyoldgit/IRremoteESP8266/issues/385
  CarrierAc64 https://github.com/crankyoldgit/IRremoteESP8266/issues/1127

## Variable Documentation

## kCarrierAc40BitMark

const uint16_t kCarrierAc40BitMark = 547

## kCarrierAc40Gap

const uint32_t kCarrierAc40Gap = 150000

See also
  https://github.com/crankyoldgit/IRremoteESP8266/issues/1190#issuecomment-643380155

## kCarrierAc40HdrMark

const uint16_t kCarrierAc40HdrMark = 8402

## kCarrierAc40HdrSpace

const uint16_t kCarrierAc40HdrSpace = 4166

## kCarrierAc40OneSpace

const uint16_t kCarrierAc40OneSpace = 1540

## kCarrierAc40ZeroSpace

const uint16_t kCarrierAc40ZeroSpace = 497

## kCarrierAc64BitMark

const uint16_t kCarrierAc64BitMark = 503

## kCarrierAc64Gap

const uint32_t kCarrierAc64Gap = kDefaultMessageGap

## kCarrierAc64HdrMark

const uint16_t kCarrierAc64HdrMark = 8940

## kCarrierAc64HdrSpace

const uint16_t kCarrierAc64HdrSpace = 4556

## kCarrierAc64OneSpace

const uint16_t kCarrierAc64OneSpace = 1736

## kCarrierAc64ZeroSpace

const uint16_t kCarrierAc64ZeroSpace = 615

## kCarrierAcBitMark

const uint16_t kCarrierAcBitMark = 628

## kCarrierAcFreq

const uint16_t kCarrierAcFreq = 38

## kCarrierAcGap

const uint16_t kCarrierAcGap = 20000

## kCarrierAcHdrMark

const uint16_t kCarrierAcHdrMark = 8532

## kCarrierAcHdrSpace

const uint16_t kCarrierAcHdrSpace = 4228

## kCarrierAcOneSpace

const uint16_t kCarrierAcOneSpace = 1320

## kCarrierAcZeroSpace

const uint16_t kCarrierAcZeroSpace = 532